/dailyfrackedfeet#
Fracked feet per day averaged by subregion.
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/dailyfrackedfeet |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/dailyfrackedfeet" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
daily_fracked_feet_resp = hyperion_api_client.daily_fracked_feet()
daily_fracked_feet_df = daily_fracked_feet_resp.df()
daily_fracked_feet_df.head()
# Example of a Windows PowerShell request to the daily_fracked_feet endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$body = @"
{`"region_natgas`":[`"gulf`"],`"sub_region_natgas`":[`"Central - TX`",`"Haynesville - TX`"]}
"@
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/dailyfrackedfeet' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
aggregate_by |
string array |
Fields to aggregate over |
region_natgas |
date_frac_max |
— |
The date range maximum the well crew completed fracking in YYYY-MM-DD format |
— |
date_frac_min |
— |
The date range minimum the well crew completed fracking in YYYY-MM-DD format |
— |
region_natgas |
string array |
Region divisions based on natural gas production profiles |
west |
sub_region_natgas |
string array |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
date_frac |
— |
The date observed via satellite that the well crew completed fracking in YYYY-MM-DD format |
— |
fracked_feet |
number |
Daily length of feet fracked for wells |
— |
region_natgas |
string |
Region divisions based on natural gas production profiles |
west |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Aggregation#
Supported parameters: date_frac, region_natgas, sub_region_natgas
Normal Output#
date_frac |
fracked_feet |
region_natgas |
sub_region_natgas |
|---|---|---|---|
2020-09-30 |
1062.2916666666665 |
gulf |
Central - TX |
2020-10-01 |
1062.2916666666665 |
gulf |
Central - TX |
2020-10-02 |
1062.2916666666665 |
gulf |
Central - TX |
2020-10-03 |
1062.2916666666665 |
gulf |
Central - TX |
2020-10-04 |
1062.2916666666665 |
gulf |
Central - TX |
2020-10-05 |
1062.2916666666665 |
gulf |
Central - TX |
2020-10-08 |
490.28846153846155 |
gulf |
Central - TX |
2020-10-09 |
490.28846153846155 |
gulf |
Central - TX |
2020-10-10 |
490.28846153846155 |
gulf |
Central - TX |
2020-10-11 |
490.28846153846155 |
gulf |
Central - TX |